Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037181
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2017-10-27 13:392018-01-03 12:38
ReporterJONHMView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision988d61d0fb77
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037181: Wrong behavior when filtering in tree grid view and pressing 'Enter' key to confirm the filter

DescriptionThe record disappears on the grid tree view when applying a filter in a drop down and pressing the 'Enter' key to confirm.
The issue can be also reproduced when saving this view as default. In this case, the previously saved filter is not shown on the field.
Steps To Reproduce1) Open "Organization" window and switch to 'tree grid view' (press the button on the toolbar)
2) Filter by 'Organization Type' and set the text as "organization". Then press 'Enter' key (do not press any other key)
3) Save that view and set it as default
-> You can see the obtained record disappearing when clicking with the mouse to save the view

4) Close that window and reopen it (in order to load the previously saved view).
5) Now set the filter as 'Legal with accounting' on 'Organization Type' column.
-> It shows the message 'The applied filter resulted in 0 results' and the filter is automatically set with this text '~organization and 1'

Note: the issue can be only reproduced if you press 'Enter' key when setting the filter, and using columns of 'drop down' type. See the attached video for more information.
TagsNo tags attached.
Attached Files? file icon treeGridView.mp4 [^] (1,868,181 bytes) 2017-10-30 18:28

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0025935 closedAugustoMauch JS Error when opening TreeGrid selector 
related to defect 0037255 closedcaristu Wrong behavior when filtering in tree grid view of a child tab and pressing 'Enter' key to confirm the filter 

-  Notes
(0100189)
hgbot (developer)
2017-10-31 12:21

Repository: erp/devel/pi
Changeset: 988d61d0fb777f8cebcaea555f99d184f9262381
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Oct 31 11:34:30 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/988d61d0fb777f8cebcaea555f99d184f9262381 [^]

fixes bug 37181: Tree is closed after pressing 'Enter' key to filter

  The opened nodes are reset after submitting a new filter. The problem here was that they were being reset on every filter submit. Thus, when the criteria did not change between two filter requests, the tree nodes were closed but never reopened as the filtering was not being applied.

  Now this problem has been solved by resetting the opened nodes just when the filter criteria of the tree grid indeed changes.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-tree-grid.js
---
(0100190)
hgbot (developer)
2017-10-31 12:33

Repository: erp/devel/pi
Changeset: bf1208f4e87cacf6019ced5381557373466d572c
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Oct 31 12:32:46 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bf1208f4e87cacf6019ced5381557373466d572c [^]

related to bug 37181: update comment

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-tree-grid.js
---
(0100237)
alostale (developer)
2017-11-03 09:08

reviewed + tested
(0101364)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101365)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-10-27 13:39 JONHM New Issue
2017-10-27 13:39 JONHM Assigned To => platform
2017-10-27 13:39 JONHM File Added: treeGridView.mp4
2017-10-27 13:39 JONHM Modules => Core
2017-10-27 13:39 JONHM Triggers an Emergency Pack => No
2017-10-30 18:14 JONHM Severity major => minor
2017-10-30 18:14 JONHM Summary Wrong behavior when filtering in tree grid view => Wrong behavior when filtering in tree grid view and pressing 'Enter' key
2017-10-30 18:14 JONHM Description Updated View Revisions
2017-10-30 18:14 JONHM Steps to Reproduce Updated View Revisions
2017-10-30 18:14 JONHM File Deleted: treeGridView.mp4
2017-10-30 18:15 JONHM File Added: treeGridView.mp4
2017-10-30 18:18 JONHM Summary Wrong behavior when filtering in tree grid view and pressing 'Enter' key => Wrong behavior when filtering in tree grid view and pressing 'Enter' key to confirm the filter
2017-10-30 18:28 JONHM File Deleted: treeGridView.mp4
2017-10-30 18:28 JONHM File Added: treeGridView.mp4
2017-10-30 19:01 caristu Assigned To platform => caristu
2017-10-30 19:01 caristu Status new => acknowledged
2017-10-30 19:01 caristu Status acknowledged => scheduled
2017-10-30 19:01 caristu Relationship added related to 0022098
2017-10-31 12:21 hgbot Checkin
2017-10-31 12:21 hgbot Note Added: 0100189
2017-10-31 12:21 hgbot Status scheduled => resolved
2017-10-31 12:21 hgbot Resolution open => fixed
2017-10-31 12:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/988d61d0fb777f8cebcaea555f99d184f9262381 [^]
2017-10-31 12:22 caristu Review Assigned To => alostale
2017-10-31 12:33 hgbot Checkin
2017-10-31 12:33 hgbot Note Added: 0100190
2017-10-31 12:34 caristu Relationship deleted related to 0022098
2017-10-31 12:35 caristu Relationship added related to 0025935
2017-11-03 09:08 alostale Note Added: 0100237
2017-11-03 09:08 alostale Status resolved => closed
2017-11-03 09:08 alostale Fixed in Version => 3.0PR18Q1
2017-11-08 08:45 caristu Issue cloned 0037255
2017-11-08 08:47 caristu Relationship added related to 0037255
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101364
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101365


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker